<template>
  <a-breadcrumb
    class="app-breadcrumb"
  >
    <a-breadcrumb-item
      v-for="(item,index) in levelList"
      :key="item.path"
    >
      <span
        v-if="item.redirect===&quot;noredirect&quot;||index==levelList.length-1"
        class="no-redirect"
      >
        {{ item.meta.title }}
      </span>
      <router-link
        v-else
        :to="item.redirect||item.path"
      >
        {{ item.meta.title }}
      </router-link>
    </a-breadcrumb-item>
  </a-breadcrumb>
</template>

<script>
import { generateTitle } from '@/utils/i18n'

export default {
  created () {
    this.getBreadcrumb()
  },
  computed: {
    activeLevelList () {
      return this.levelList.filter(item => {
        return item.meta.title
      })
    }
  },
  data () {
    return {
      levelList: null
    }
  },
  watch: {
    $route () {
      this.getBreadcrumb()
    }
  },
  methods: {
    generateTitle,
    getBreadcrumb () {
      let matched = this.$route.matched.filter(item => item.name && item.meta && item.meta.title)

      const first = matched[0]
      if (first && first.name !== 'dashboard') {
        matched = [{ path: '/dashboard', redirect: 'noredirect', meta: { title: '首页' } }].concat(matched)
      }
      this.levelList = matched
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .app-breadcrumb.ant-breadcrumb {
    display: inline-block;
    font-size: 14px;
    line-height: 50px;
    margin-left: 10px;
  }
</style>
